| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# seglistitem

$Revision: 1.3 $

$Date: 2002/06/12 11:18:35 $

seglistitem — A list item in a segmented list

## Synopsis

### Content Model

    seglistitem ::=
    (seg+)

### Attributes

Common attributes

## Description

A `SegmentedList` consists of a set of headings (`SegTitle`s) and a list of parallel sets of elements. Each set of elements is stored in a `SegListItem`.

### Processing expectations

Segmented lists can be formatted in a number of ways. Two popular formats are tabular and as a list of repeated headings and elements. In a tabular presentation, each `SegListItem` is a row in the table. In the list presentation, each `SegListItem` contains a block of heading/element pairs.

DocBook cannot detect errors caused by too many or too few `Seg`s in a `SegListItem`. You will have to rely on external processes to find those errors.

### Future Changes

The `InterfaceDefinition` element will be discarded in DocBook V4.0. It will no longer be available in the content model of this element.

### Parents

These elements contain seglistitem: `segmentedlist`.

### Children

The following elements occur in seglistitem: `seg`.

## Examples

For examples, see `segmentedlist`.

seg |  | segmentedlist

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.